<?php

define('_IN_JOHNCMS', 1);

$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");

if (isset($_POST['submit'])) {

    function Resize_img($name, $name2, $img_1, $img_2)
    {
        $im = ImageCreateFromJpeg($name);
        $im1 = imageCreate('32', '40');

        if (function_exists('imagecopyresampled'))
            $imagecopy = imagecopyresampled;
        else
            $imagecopy = imagecopyresized;

        $imagecopy($im1, $im, 0, 0, $img_1, $img_2, 32, 40, 32, 40);

        imageJpeg($im1, $name2, '100');

        imagedestroy($im1);
        imagedestroy($im);
    }

    $file = $_POST['file'];
    $dir = $_POST['dir'];

    if (!$dir) {
        $dir = '1';
    }
    if (!$file) {
        $file = 'img.jpg';
    }

    for ($i = 1; $i < 10; $i++) {

        $img_1 = array('0', '32', '64', '0', '32', '64', '0', '32', '64');
        $img_2 = array('0', '0', '0', '40', '40', '40', '80', '80', '80');
        $name2 = 'temp/'.$dir . '/' . $i . '.jpg';

        Resize_img($file, $name2, $img_1[($i - 1)], $img_2[($i - 1)]);
    }
    echo 'Готово';

} else {

    echo "<form action='resize.php' method='post'>
    Имя файла:<br />
<input type='text' name='file' value='img.jpg'/><br/>
	    Сохранить в папку:<br />
<input type='text' name='dir' value='1'/><br/>
	<input type='submit' name='submit' value='Ok!'/></form>
	<br/><a href='index.php?id=" . $id . "'>В игру</a><br/>";
}

require_once ("../../incfiles/end.php");

?>